testing::internal::TestMetaFactoryBase< ParamType > Class Template Referenceabstract

`#include <gtest.h>`

## Public Member Functions

virtual | ~TestMetaFactoryBase ()
virtual TestFactoryBase * | CreateTestFactory (ParamType parameter)=0

## Detailed Description

### template<class ParamType>
class testing::internal::TestMetaFactoryBase< ParamType >

Definition at line 10964 of file gtest.h.

## Constructor & Destructor Documentation

## ~TestMetaFactoryBase()

template<class ParamType>

virtual testing::internal::TestMetaFactoryBase< ParamType >::~TestMetaFactoryBase | ( |  | ) |

inlinevirtual

Definition at line 10966 of file gtest.h.

## Member Function Documentation

## CreateTestFactory()

template<class ParamType>

virtual TestFactoryBase* testing::internal::TestMetaFactoryBase< ParamType >::CreateTestFactory | ( | ParamType | parameter | ) |

pure virtual

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h